Package org.zkoss.stateless.sul

## Interface IColumnchildren<I extends IAnyGroup>

- All Superinterfaces:
    `IChildable<IColumnchildren<I>,​I>`, `IComponent<IColumnchildren<I>>`, `IHtmlBasedComponent<IColumnchildren<I>>`, `IXulElement<IColumnchildren<I>>`

      public interface IColumnchildren<I extends IAnyGroup>
      extends IXulElement<IColumnchildren<I>>, IChildable<IColumnchildren<I>,​I>

  Immutable `Columnchildren` component

  The column of `IColumnlayout`.

  Author:
    katherine
  See Also:
    `Columnchildren`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IColumnchildren.Builder<I extends IAnyGroup>` | Builds instances of type `IColumnchildren`.
    `static class` | `IColumnchildren.Updater` | Builds an updater of type `IColumnchildren` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IColumnchildren<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IColumnchildren<I>` | `of​(I... children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IColumnchildren<I>` | `of​(java.lang.Iterable<? extends I> children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IColumnchildren<I>` | `ofFlex​(java.lang.String hflex, java.lang.String vflex)` | Returns the instance with the given vflex and hflex
    `static <I extends IAnyGroup> IColumnchildren<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static <I extends IAnyGroup> IColumnchildren<I>` | `ofSize​(java.lang.String width, java.lang.String height)` | Returns the instance with the given width and height

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IColumnchildren<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.layout.Columnchildren"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### of

          static <I extends IAnyGroup> IColumnchildren<I> of​(java.lang.Iterable<? extends I> children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IColumnchildren<I> of​(I... children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofSize

          static <I extends IAnyGroup> IColumnchildren<I> ofSize​(java.lang.String width,
                                                                 java.lang.String height)

      Returns the instance with the given width and height
      Parameters:
        `width` - The width of the component
        `height` - The height of the component

    - #### ofFlex

          static <I extends IAnyGroup> IColumnchildren<I> ofFlex​(java.lang.String hflex,
                                                                 java.lang.String vflex)

      Returns the instance with the given vflex and hflex
      Parameters:
        `hflex` - The horizontal flex hint
        `vflex` - The vertical flex hint

    - #### ofId

          static <I extends IAnyGroup> IColumnchildren<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component